Overview | Modules | Class Hierarchy | Classes | Members

# tlp::AlgorithmFactory Class Reference
[Plugins]

`#include <Algorithm.h>`

Inherits tlp::Plugin.

Inheritance diagram for tlp::AlgorithmFactory:

[legend]
Collaboration diagram for tlp::AlgorithmFactory:

[legend]
List of all members.

## Public Member Functions

- virtual ~AlgorithmFactory ()
- virtual Algorithm * createPluginObject (AlgorithmContext)=0
- virtual std::string getMajor () const
- virtual std::string getMinor () const
- virtual std::string getTulipMajor () const
- virtual std::string getTulipMinor () const

## Static Public Member Functions

- static void initFactory ()

## Static Public Attributes

- static TLP_SCOPE TemplateFactory<
  AlgorithmFactory, Algorithm,
  AlgorithmContext > * factory

## Constructor & Destructor Documentation

virtual tlp::AlgorithmFactory::~AlgorithmFactory | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual Algorithm* tlp::AlgorithmFactory::createPluginObject | ( | AlgorithmContext |  | ) | `[pure virtual]`

virtual std::string tlp::AlgorithmFactory::getMajor | ( |  | ) | const`[inline, virtual]`

| Return the major release number of the plug-in Implements tlp::Plugin.

virtual std::string tlp::AlgorithmFactory::getMinor | ( |  | ) | const`[inline, virtual]`

| Return the minor release number of the plug-in Implements tlp::Plugin.

virtual std::string tlp::AlgorithmFactory::getTulipMajor | ( |  | ) | const`[inline, virtual]`

| Return the major Tulip release number the plug-in is build with Implements tlp::Plugin.

virtual std::string tlp::AlgorithmFactory::getTulipMinor | ( |  | ) | const`[inline, virtual]`

| Return the major Tulip release number the plug-in is build with Implements tlp::Plugin.

static void tlp::AlgorithmFactory::initFactory | ( |  | ) | `[inline, static]`

## Member Data Documentation

TLP_SCOPE TemplateFactory<AlgorithmFactory, Algorithm,AlgorithmContext >* tlp::AlgorithmFactory::factory `[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2010